//+------------------------------------------------------------------+
//|                                                   SetTFColor.mq4 |
//|                             Copyright  2007, Troshenkin Andrey. |
//|                                                 troshenkin@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey."
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//          . 
//       .
//      .
//   #include <TFColorConfig.mqh>
// bool ON_SECOND_CLICK_SET_NEXT_TF = true; // true        
//
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   string sName = GetLastObjectName();
   switch(Period())
   {
       case 1 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 7); break; //      15
       case 2 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 7); break; //      15
       case 5 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 31); break; //      1
       case 10 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 31); break; //      1
       case 15 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 63); break; //      4
       case 30 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 63); break; //      4
       case 60 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 127); break; //      D1
       case 120 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 127); break; //      D1
       case 240 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 255); break; //      W1
       case 480 : ObjectSet(sName, OBJPROP_TIMEFRAMES, 255); break; //      W1
   }         
   if (ON_SECOND_CLICK_SET_NEXT_TF())
   {
      if (ObjectGet(sName, OBJPROP_COLOR) == GetColorByTF(Period()))
      {
         int nNextPeriod = Period()*2;
         SetObjectColor(GetColorByTF(nNextPeriod));

      }
      else
         SetObjectColor(GetColorByTF(Period()));
   }
   else
      SetObjectColor(GetColorByTF(Period()));

   return(0);
}
//+------------------------------------------------------------------+